%define major 2
%define libname %mklibname json %{major}
%define develname %mklibname json -d

Summary:	JSON implementation in C
Name:		json-c
Version:	0.12
Release:	%mkrel 1
Group:		System/Libraries
License:	MIT
URL:		https://github.com/json-c/json-c/wiki
Source0:	https://github.com/downloads/json-c/json-c/json-c-%{version}.tar.xz
Patch0:		json-c-0.12-unused-variable.patch

%description
JSON-C implements a reference counting object model that allows you to
easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C
representation of JSON objects.

%package -n %{libname}
Summary:	JSON implementation in C
Group:		System/Libraries

%description -n %{libname}
JSON-C implements a reference counting object model that allows you to
easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C
representation of JSON objects. 

%package -n %{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libjson-devel = %{version}-%{release}

%description -n %{develname}
JSON-C implements a reference counting object model that allows you to
easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C
representation of JSON objects.

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure2_5x --disable-static --disable-oldname-compat
%make

%install
rm -rf %buildroot
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc COPYING
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc ChangeLog README
%{_libdir}/*.so
%{_includedir}/json-c
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Aug 22 2015 bb <bb> 0.12-1pclos2015
- update

* Tue Apr 15 2014 bb <bb> 0.11-3pclos2014
- add upstream patch to fix CVE-2013-6370 and CVE-2013-6371

* Thu Nov 07 2013 billybot <billybot> 0.11-2pclos2013
- convert source to tar.xz

* Tue Nov 05 2013 pinoc <vogtpet at gmail.com> 0.11-1pclos2013
- imported package json-c

